com.fasterxml.jackson.databind

## Class PropertyNamingStrategy.LowerCaseStrategy

- java.lang.Object
- - com.fasterxml.jackson.databind.PropertyNamingStrategy
  - - com.fasterxml.jackson.databind.PropertyNamingStrategy.PropertyNamingStrategyBase
    - - com.fasterxml.jackson.databind.PropertyNamingStrategy.LowerCaseStrategy

All Implemented Interfaces:
  Serializable

Enclosing class:
  PropertyNamingStrategy

Deprecated.
Since 2.12 use `PropertyNamingStrategies.LowerCaseStrategy` instead (see databind#2715 for reason for deprecation)

    @Deprecated
    public static class PropertyNamingStrategy.LowerCaseStrategy
    extends PropertyNamingStrategy.PropertyNamingStrategyBase

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

`PropertyNamingStrategy.KebabCaseStrategy, PropertyNamingStrategy.LowerCaseStrategy, PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy, PropertyNamingStrategy.LowerDotCaseStrategy, PropertyNamingStrategy.PascalCaseStrategy, PropertyNamingStrategy.PropertyNamingStrategyBase, PropertyNamingStrategy.SnakeCaseStrategy, PropertyNamingStrategy.UpperCamelCaseStrategy`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

`CAMEL_CASE_TO_LOWER_CASE_WITH_UNDERSCORES, KEBAB_CASE, LOWER_CAMEL_CASE, LOWER_CASE, LOWER_DOT_CASE, PASCAL_CASE_TO_CAMEL_CASE, SNAKE_CASE, UPPER_CAMEL_CASE`

### Constructor Summary

Constructors
Constructor and Description
`LowerCaseStrategy()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `translate(String input)` Deprecated.

### Methods inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy.PropertyNamingStrategyBase

`nameForConstructorParameter, nameForField, nameForGetterMethod, nameForSetterMethod, translateLowerCaseWithSeparator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LowerCaseStrategy

    public LowerCaseStrategy()

Deprecated.

### Method Detail

#### translate

    public String translate(String input)

Deprecated.

Specified by:
  `translate` in class `PropertyNamingStrategy.PropertyNamingStrategyBase`